<html devsite>
  <head>
    <title>Regular Field of View (RFoV) Box</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>The regular field of view (RFoV) ITS-in-a-box (revision 1) consists of a
plastic box that is laser cut from computer-aided design (CAD) drawings, a chart
tablet, and a device under test (DUT). The RFoV ITS-in-a-box is designed to test
devices with an FoV less than 90 degrees (RFoV). You can purchase an
ITS-in-a-box or build your own.</p>

<aside class="note"><strong>Note:</strong> The wide field of view (WFoV)
ITS-in-a-box (revision 2) can be used to test both WFoV (FoV > 90 degrees) and
RFoV devices. For details, see
<a href="/compatibility/cts/camera-wfov-box-assembly"> WFoV ITS-in-a-Box</a>.</aside>

<h2 id=purchasing-box>Purchasing an RFoV ITS-in-a-box</h2>
<p>We recommend purchasing an RFoV ITS-in-a-box from one of the following
qualified vendors.</p>

<ul>
<li><em>Acu Spec, Inc.</em><br>990 Richard Ave, Ste 103, Santa Clara, CA
95050<br>fred@acuspecinc.com</li>
<li><em>MYWAY, Inc</em><br>4F., No. 163, Fu
Ying Rd., New Taipei City, Taiwan<br>sales@myway.tw</li>
<li><em>West-Mark, Inc</em><br>2704 Railroad Ave, Ceres, CA
95307<br>dgoodman@west-mark.com</li>
</ul>

<h2 id=building-box>Building an RFoV ITS-in-a-box</h2>

<p>This section
provides step-by-step instructions for assembling an RFoV ITS-in-a-box.</p>

<p><img src=images/camera_iab_cad.png></p>
<p class=caption><strong>Figure 1</strong>. CAD image for ITS-in-a-box.</p>

<h3>Required tools</h3>
<p>Before getting started, ensure you have
<a href="rfov_its_box_assembly_1_3.zip">downloaded the technical
drawings</a> for the ITS-in-a box and have the following tools available:</p>
<ul>
<li>Phillips head screwdriver</li>
<li>Pliers</li>
<li>Exacto knife</li>
<li>Wire cutters or scissors (optional)</li>
</ul>

<h3 id=lighting>Step 1: Lighting</h3>
<p>To assemble the ITS-in-a-box lighting component:</p>

<ol>
<li>Gather the lighting hardware shown in Figure 2:
<br><img src=images/camera_iab_light_assembly_parts.png width="50%"><br>
<strong>Figure 2</strong>. Light assembly parts.<br><br>
Hardware includes LED light bars, plastic light baffles, plastic light mounts,
metal light clips included in the LED lighting kit, and four 6-32 screws with
acorn head nuts.</li>
<li>Place LED light bars in the mounts with lights pointing down and towards
the table, as shown in Figure 3 (left side):
<br><img src=images/camera_iab_light_bar.png width="50%"><br>
<strong>Figure 3</strong>. Close-up of light bars with lights facing down
and screws threaded through clips.<br><br>
Thread the screws through the light clips using a screwdriver and while holding
the metal clip. The screw head should be be on the inside of the C shape of the
light clip as shown in Figure 3 (right side). Threading the screws requires
pressure as the fit is tight.</li>
<li>Bolt the clips to the plastic baffles as shown in Figure 4:
<br><img src=images/camera_iab_light_baffles.png width="50%"><br>
<strong>Figure 4</strong>. Light baffles with clips attached (acorn nuts are on
the side of the plastic not shown).</li>
<li>Assemble the lights by snapping the baffles to the LED light backs with the
clips.
<br><img src=images/camera_iab_light_assembled.png width="50%"><br>
<strong>Figure 5</strong>. Assembled lights.<br><br>
The LED lights should point down and the plastic should form a back to the light
to block the shiny, reflective back of the LED light bar.</li>
</ol>

<h3 id=phone-mount>Step 2: Phone mounts</h3>
<p>To assemble phone mounts:</p>

<ol>
<li>Gather the phone mount hardware shown in Figure 6:
<br><img src=images/camera_iab_phone_mount_parts.png width="50%"><br>
<strong>Figure 6</strong>. Phone mount assembly parts.<br><br>
Hardware includes two aluminum phone trays, two plungers, two rubber tips, and
four 8-32 pan-head screws.</li>
<li>Cut the rubber tips short enough to not interfere with plunger operation
(roughly in half), then use the rubber tips to cover the plungers.</li>
<li>Assemble the phone mounts using pan-head screws to attach the plunger
mechanisms to the aluminum trays.
<br><img src=images/camera_iab_phone_mount_assembled.png width="50%"><br>
<strong>Figure 7</strong>. Assembled phone mounts.<br><br>
Ensure the screws do not protrude beyond the plunger in the retracted or
extended plunger position.</li>
</ol>

<h3 id=phone-mount>Step 3: Aperture plate</h3>
<p>To assemble the front aperture plate:</p>
<ol>
<li>Gather the front aperture plate hardware shown in Figure 8:
<br><img src=images/camera_iab_front_plate_parts.png width="50%"><br>
<strong>Figure 8</strong>. Front aperture plate assembly parts (front plate
top has the narrower space from slots for tabs to edge).<br><br>
Hardware includes four short nylon screws (provided in the ITS-in-a-box kit) and
eight washers (required to keep the screws from protruding through the back of
the plastic plate).</li>
<li>Add phone mounts to the front square aperture plate as shown in Figure 9:
<br><img src=images/camera_iab_front_plate_assembled.jpg width="50%"><br>
<strong>Figure 9</strong>. Assembled front plate, phone mounts in middle
position.</li>
</ol>


<h3 id=tablet-holder>Step 4: Tablet holder</h3>
<p>To assemble the tablet holder:</p>

<ol>
<li>Gather the tablet holder parts shown in Figure 10:
<br><img src=images/camera_iab_tab_holder_parts.png width="50%"><br>
<strong>Figure 10</strong>. Tablet holder space assembly parts.</li>

<li>Attach the spacer bars to the back of the tablet holder by threading a
nylon screw into the hole at the bottom-left or bottom-right of the tablet
holder (the screw threads properly in only one direction).</li>

<li>Mount the spacers on the opposite side of the nylon screw as shown in Figure
11:
<br><img src=images/camera_iab_tablet_spacer_detail.jpg  width="50%"><br>
<strong>Figure 11</strong>. Tablet holder, location of plastic spacers and
nylon screw.</li>

<li>Assemble the tablet holder with the screw head in the counter-drilled
plastic, then assemble the remaining pieces as shown in Figure 12.
<br><img src=images/camera_iab_tab_holder_spacer.png  width="50%"><br>
<strong>Figure 12</strong>. Assembled tablet holder spacer (washers account for
thickness variations in the plastic).</li>

<li>Gather the tablet plunger parts as shown in Figure 13:
<br><img src=images/camera_iab_plunger_parts.png  width="50%"><br>
<strong>Figure 13</strong>. Tablet plunger parts with plastic tips cut
(later designs have only one plunger in the center).</li>

<li>Cut the plastic tips to correct length and use the tips to cover the
plunger heads.</li>

<li>Attach plungers to the plastic, placing the acorn nuts on the outside to
ensure minimum clearance on the inside for the tablet (and to prevent
interference with plunger operation.</li>

<li>Connect the plunger(s) with the screw heads facing the box as shown in
Figure 14:
<br><img src=images/camera_iab_tabholder_assembled.png width="50%"><br>
<strong>Figure 14</strong>. Assembled tablet holder (acorn nuts face away
from back panel of box).<br><br>
All acorn nuts are on the same side of the tablet holder to maximize clearance
for the tablet.</li>
</ol>

<h3 id=box-assembly>Step 5: Assemble box</h3>
<p>To assemble the box:</p>
<ol>
<li>Place the front panel with the circular aperture flat on the table, inside
facing up.</li>
<li>Connect the front and back walls by inserting tabs into slots as shown in
Figure 15:
<br><img src=images/camera_iab_top_bottom_placed.png width="50%"><br>
<strong>Figure 15</strong>. Top and bottom attached to front (as seen from
right side).<br><br>
Position the front so the chamfered side of the circular aperture is on the
inside of the box. The front of the bottom can be identified by the small hole
for the power cord box exit (out of the field of view). The plastic hooks for
the sides should be pointed in the same direction.</li>
<li>Attach the back to the top and bottom as shown in Figure 16:
<br><img src=images/camera_iab_back_no_sides.jpg width="50%"><br>
<strong>Figure 16</strong>. Back attached, no sides.<br><br>
Push the back onto the tabs, then slide the back to the right (when facing the
back of the box) to fit under the hooked tabs.</li></ol>


<h3 id=light-install>Step 6: Install lights</h3>
<p>To install the lights:</p>
<ol>
<li>Place lights in the assembled box as shown in Figure 17:
<br><img src=images/camera_iab_light_installed.jpg width="50%"><br>
<strong>Figure 17</strong>. Proper light placement (back removed).<br><br>
Ensure lights are pointed in the right direction (towards the top and bottom and
towards the front of the box).</li>
<li>Secure lights by squeezing the pin into the small hole on the rectangular
tab that extends through the slot in the top/bottom, as shown in Figure 18:
<br><img src=images/camera_iab_pin_led_mount_details.png width="50%"><br>
<strong>Figure 18</strong>. Detail of inserted pin in LED mount tab on outside
of box.<br><br>
Squeezing of the pins is best done with a pair of pliers using gentle pressure;
you should feel a little give in the plastic as the pins are squeezed in place.
Insert the pins for both the bottom and top light sets. As the pins are small
and easy to drop, it is easiest to insert them to the bottom with the box
upside down.</li>
<li>Attach the power cord to the lower light bar as shown in Figure 19:
<br><img src=images/camera_iab_light_cord.jpg width="50%"><br>
<strong>Figure 19</strong>. Detail of lighting power cord.<br><br>
Thread the power cord through the hole in lower-front-right. The power cord has
different connectors at each end: The narrow connector fits to the LED light bar
and the larger connector fits to the power adaptor.</li>
<li>To prevent the power cord from pulling on the light assembly, use a zip tie
to secure the power cord to bottom of box as shown in Figure 20:
<br><img src=images/camera_iab_light_cord_secured.jpg width="50%"><br>
<strong>Figure 20</strong>. Power cord zip tie attachment on bottom of box
(shown on its side); trim ties as necessary.</li>
<li>Wire the top lights to the bottom lights on the left side and secure the
cable to the front of the box. Some drawings show the cable secured on side of
box, but it is easier to wire them to front corner as shown in Figure 21:
<br><img src=images/camera_iab_light_cord_zip.jpg width="50%"><br>
<strong>Figure 21</strong>. Detail of light cord anchored out of field of
view.</li>
</ol>

<h3 id=sides-holder>Step 7: Attach sides, tablet holder, and handles</h3>
<p>To attach the box sides, tablet holder, and handles with locking mechanism:</p>
<ol>
<li>Snap the right panel into place by pushing and sliding it upwards. The
bottom of the panel should be flush with the bottom of the front and back panels
as shown in Figure 22:
<br><img src=images/camera_iab_right_side_placed.jpg width="50%"><br>
<strong>Figure 22</strong>. Right side panel in place (viewed from back).</li>
<li>Place assembled tablet holder in right tabs as shown in Figure 23:
<br><img src=images/camera_iab_tabholder_inserted.jpg width="50%"><br>
<strong>Figure 23</strong>. Right side, tablet holder inserted in slots (viewed
from back of box so it appears on the left).<br><br>
If the tabs are too tight to allow the tablet holder to move up and down, sand
the tabs with 100 grit sandpaper to thin them and create a better fit.</li>
<li>Snap the left panel into place by pushing and sliding it upwards, as shown
in figure 24:
<br><img src=images/camera_iab_left_side_placed.jpg width="50%"><br>
<strong>Figure 24</strong>. Left side panel in place.</li>
<li>Gather the handle parts shown in Figure 25:
<br><img src=images/camera_iab_handle_parts.png width="50%"><br>
<strong>Figure 25</strong>. Handle and box lock parts.<br><br>
Hardware includes four wide plastic pieces (for outside the box) and two narrow
pieces (for top of the box). Screw holes are not placed symmetrically on the
plastic strips.</li>
<li>Assemble the handle as shown in figure 26:
<br><img src=images/camera_iab_handle_assembled.png width="50%"><br>
<strong>Figure 26</strong>. Assembled handle.<br><br>
Acorn nuts are usually placed on the top of the box. While this is not strictly
necessary, it makes the outer part of the handle as flat as possible. If the
handle is loose, insert washers to allow the acorn nuts to tighten effectively.
</li>
</ol>

<h3 id=final-assembly>Step 8: Final assembly</h3>
<p>To perform final assembly of the ITS-in-a-box:</p>
<ol>
<li>Using two nylon screws (short or long), attach the square aperture panel
with phone mounts to the front of the box as shown in Figure 27:
<br><img src=images/camera_iab_front_attached.jpg width="50%"><br>
<strong>Figure 27</strong>. Attached front panel.<br><br>
Place one screw on the top of the box and one screw on the bottom of the box.</li>
<li>Test the 4"x4” gatorboard aperture blank to ensure it fits in the square
opening, as shown in Figure 28:
<br><img src=images/camera_iab_gater_no_aperture.jpg width="50%"><br>
<strong>Figure 28</strong>. Gatorboard installed, no aperture cut.<br><br>
The fit should be snug. If the blank is too tight, shave it; if too loose, make
another.</li>
<li>Cut apertures for cameras. You can cut a single aperture (for testing a
single phone) or two apertures (for testing two phones). Apertures for the Pixel
and Pixel XL front and rear cameras are shown in Figure 29:
<br><img src=images/camera_iab_front_apertures.jpg width="50%"><br>
<strong>Figure 29</strong>. Front of ITS-in-a-box with front and rear camera
aperture cuts.<br><br>
The front camera is a circular aperture since there is no flash or laser, while
the rear camera is a rectangular aperture that allows the flash and laser to
operate without being blocked.</li></ol>

  </body>
</html>
